Bug 32425 - Dell Portables and drm error RC2 qa
Dell Portables and drm error RC2 qa
Product: Red Hat Linux
Classification: Retired
Component: gdm (Show other bugs)
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Owen Taylor
David Lawrence
Depends On:
  Show dependency treegraph
Reported: 2001-03-20 15:40 EST by Rogelio Noriega
Modified: 2007-04-18 12:32 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2001-03-27 10:50:45 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
messages file from the drm error (471.84 KB, text/plain)
2001-03-21 11:22 EST, Mick Tantasirikorn
no flags Details

  None (edit)
Description Rogelio Noriega 2001-03-20 15:40:40 EST
This bug affects Dell potables C600 and I8000.

When at a command prompt switching from init 3 to init 5 will cause the 
following error.

[drm:drm_release] *ERROR* Process XXX dead, freeing lock of context 1

The (xxx) process number will be different everytime you switch from init 
3 to 5.
Comment 1 Bill Nottingham 2001-03-20 16:37:22 EST
This is a problem with the DRM module in the kernel.
Comment 2 Jeremy Katz 2001-03-21 02:16:33 EST
From what I gather on the DRI lists, this is mostly just a debugging message and
is currently the number one cause of bug reports in their bug database.  Gareth
was asking if anyone had any problems with just commenting out that printk and
there weren't any complaints, so just commenting it out may be the best solution.
Comment 3 Arjan van de Ven 2001-03-21 05:53:19 EST
Fixed this for the next build.
Comment 4 Mick Tantasirikorn 2001-03-21 11:22:32 EST
Created attachment 13243 [details]
messages file from the drm error
Comment 5 Mick Tantasirikorn 2001-03-21 11:27:24 EST
I don't think it is just a debugging error. on my Lat C600, I suddenly get a 
blinking screen as if it is trying to get into X but it keeps spewing out the 
drm error.
here is the /var/log/messages

also, I can't go to X anymore, even if I reboot.  I keep getting the drm error 
messages and blinking screen.
let me know what else you need
Comment 6 Jeremy Katz 2001-03-21 11:39:03 EST
Quoting from Rik Faith's message to the dri-devel list
(http://www.geocrawler.com/lists/3/SourceForge/680/350/5293026/) on the thread
about these messages --

On Wed  7 Mar 2001 13:21:13 +1100,
   Gareth Hughes <<EMAIL: PROTECTED>> wrote:
> > > > I'm also occaisionally seeing messages in syslog like this:
> > > > Mar  6 14:59:12 leng kernel: [drm:drm_release] *ERROR* Process 954
dead, freeing lock for context 3
> > This is not a bug.  This isn't even an error.  You get this when you
> Ctrl-C an application rather than letting it shutdown normally.
> > Rik, can we get rid of this message?  I'm a little tired of seeing bug
> reports about it :-)

Sure.  We should probably change the DRM_ERROR to a DRM_DEBUG so that
we'll still see it when we use <driver_name>=debug on the module line.

Is there anything more indicative of what's causing the problem in
/var/gdm/:0.log or /var/log/XFree86.0.log?  Especially if it keeps going after a
reboot, I don't think that it's the DRI.  A quick check would be commenting out
the Load "dri" line from the modules section of /etc/X11/XF86Config-4
Comment 7 Mick Tantasirikorn 2001-03-21 15:08:27 EST
Ok, I figure out what the problem with all the drm error I got is.  I had a USB 
mouse hooked up to the system.  I removed it and restart the machine.  I walked 
away.  kudzu start saying the USB mouse was removed (I did not see this) and 
timed out ignoring the mouse removal.  it would then try to go into X and will 
not work.  I think instead of having all the blinking and the drm error, the 
screen should spew out a message saying " mouse not found ".
Comment 8 Jeremy Katz 2001-03-21 15:22:51 EST
The kernel message shouldn't be an issue in newer kernels according to what
Arjan said; now it's a separate issue of X failing if it can't find its mouse
which is the way things have been for a while.  The issue of gdm respawning ad
nauseum is a different issue and not kernel related.  Take a look at bug 13623
for more on the gdm issue.

Note You need to log in before you can comment on or make changes to this bug.